Page MenuHomePhabricator

Fix profiling option on PS4 target
ClosedPublic

Authored by dmikulin on Feb 27 2020, 10:56 AM.

Details

Summary

libclang_rt.profile should be added when -fcs-profile-generate is on thecommand line.
Also, OPT_fno_profile_instr_generate was used as a negative for OPT_fprofile_generate. Fix it to use OPT_fno_profile_generate.

Diff Detail

Event Timeline

dmikulin created this revision.Feb 27 2020, 10:56 AM
filcab accepted this revision.Mar 10 2020, 8:43 AM

LGTM, please check if adding the test I request makes sense.

Thank you!

clang/lib/Driver/ToolChains/PS4CPU.cpp
33

Please add one test showing this fix:
-fprofile-generate -fno-profile-instr-generate should emit the options that -fprofile-generate does, no? (There might be some logic later on that errors on this. If that's the case, no need for the added test)

This revision is now accepted and ready to land.Mar 10 2020, 8:43 AM
dmikulin marked an inline comment as done.Mar 10 2020, 9:42 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 16 2020, 5:31 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript